%define name kmovisto
%define version 0.5.1
%define release 2mdk

Summary: Molecule viewer and 3-D exporter
Name: %name
Version: %version
Release: %release
License: GPL
URL: http://mitglied.lycos.de/PageOfMH
Group: Sciences/Chemistry
Source: %name-%version.tar.bz2
BuildRequires: libqt3-devel zlib-devel libjpeg-devel libpng-devel
BuildRoot: %_tmppath/%name-root

%description
KMovisto is a free molecule viewer. This program imports GAUSSIAN or XYZ files
and exports POVRay, VRML or XYZ files.

%prep
%setup -q
perl -p -i -e 's/\-lqt/\-lqt\-mt/g' `find -name 'Makefile*'`
perl -p -i -e 's/--tag=CXX//g' `find -name 'Makefile*'`

%build
%configure --with-qt-dir=/usr/lib/qt3 --with-qt-includes=/usr/lib/qt3/include --with-qt-libraries=/usr/lib/qt3/lib
%make MOC=/usr/lib/qt3/bin/moc

%install
%makeinstall
rm %buildroot/%_bindir/i586*
cp %name/%name %buildroot/%_bindir/

# menu
install -d $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}):command="kmovisto"\
needs="x11"\
section="Applications/Sciences/Chemistry"\
title="KMovisto"\
icon="chemistry_section.png"\
longtitle="QT Molecule Viewer"
EOF

%post
%update_menus
		
%postun
%clean_menus

%clean
rm -fr %buildroot

%files
%defattr (-,root,root,0755)
%_bindir/%name
%doc %_docdir/*
%_menudir/%name

%changelog
* Fri Apr 25 2003 Austin Acton <aacton@yorku.ca> 0.5.1-2mdk
- buildrequires zlib-devel, libpng-devel, libjpeg-devel

* Wed Apr 2 2003 Austin Acton <aacton@yorku.ca> 0.5.1-1mdk
- remove many patches (merged upstream)
- 0.5.1

* Sun Mar 02 2003 Laurent MONTEL <lmontel@mandrakesoft.com> 0.4.0-4mdk
- Rebuild

* Sun Feb 02 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.4.0-3mdk
- rebuild

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-2mdk
- fix menu macros
- fix license

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.4.0-1mdk
- 0.4.0
- patch patch patch

* Sat Nov 23 2002 Austin Acton <aacton@yorku.ca> 0.3.1-1mdk
- initial package for Mandrake 9
